Bug 1223887 - Review Request: atomicapp - Reference implementation of the Nulecule container application Specification
Summary: Review Request: atomicapp - Reference implementation of the Nulecule containe...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1223843
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 15:45 UTC by Jan Chaloupka
Modified: 2016-12-15 06:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-15 06:40:06 UTC
tradej: fedora-review+
jchaloup: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-05-21 15:45:35 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/atomicapp/atomicapp.spec
SRPM URL: https://jchaloup.fedorapeople.org/reviews/atomicapp/atomicapp-0.0.1-1.fc20.src.rpm
Description: Reference implementation of the Nulecule container application Specification
Fedora Account System Username: jchaloup

Koji: it depends on bz#1223843 which is under review. Locally it builds fine.

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/atomicapp-0.0.1-1.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/atomicapp-0.0.1-1.fc20.noarch.rpm
atomicapp.noarch: W: no-manual-page-for-binary atomicapp
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Note: Srpm contains patch related to this issue [1]

[1] https://github.com/projectatomic/atomicapp/issues/117

Comment 1 Petr Viktorin 2015-06-03 10:18:55 UTC
Hi,
You probably meant Requires rather than BuildRequires for python-anymarkup.
Also, use %license on Fedora too.

Comment 3 Tomas Radej 2015-06-17 13:51:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 15 files have unknown license. Detailed
     output of licensecheck in
     /home/tradej/development/reviews/1223887-atomicapp/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: atomicapp-0.1.1-1.fc23.noarch.rpm
          atomicapp-0.1.1-1.fc23.src.rpm
atomicapp.noarch: W: no-manual-page-for-binary atomicapp
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
atomicapp (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-anymarkup



Provides
--------
atomicapp:
    atomicapp



Source checksums
----------------
https://github.com/projectatomic/atomicapp/archive/0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 4df93bb292a392c4f4541d2939d9f4134105dcbdaa0b8e891c27444dd720ed74
  CHECKSUM(SHA256) upstream package : 4df93bb292a392c4f4541d2939d9f4134105dcbdaa0b8e891c27444dd720ed74


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1223887 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Jan Chaloupka 2015-06-17 15:03:41 UTC
New Package SCM Request
=======================
Package Name: atomicapp
Short Description: Reference implementation of the Nulecule container application Specification
Upstream URL: https://github.com/projectatomic/atomicapp
Owners: vpavlin jchaloup
Branches: f22 f21
InitialCC: golang-sig

Comment 5 Gwyn Ciesla 2015-06-18 15:19:32 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-06-19 08:36:00 UTC
atomicapp-0.1.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/atomicapp-0.1.1-1.fc22

Comment 7 Fedora Update System 2015-06-19 08:43:22 UTC
atomicapp-0.1.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/atomicapp-0.1.1-1.fc21

Comment 8 Fedora Update System 2015-06-21 00:15:01 UTC
atomicapp-0.1.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Jan Chaloupka 2015-07-17 11:59:42 UTC
New Package SCM Request
=======================
Package Name: atomicapp
Short Description: Reference implementation of the Nulecule container application Specification
Upstream URL: https://github.com/projectatomic/atomicapp
Owners: vpavlin jchaloup
Branches: epel7
InitialCC: golang-sig

Comment 10 Kevin Fenzi 2015-07-20 16:49:45 UTC
Git done (by process-git-requests).

Comment 11 Jan Chaloupka 2015-07-20 17:00:25 UTC
epel7 branch not created

http://pkgs.fedoraproject.org/cgit/atomicapp.git/

Comment 12 Jan Chaloupka 2015-07-20 17:05:28 UTC
Created now. Thanks

Comment 13 Fedora Update System 2015-07-20 17:28:02 UTC
atomicapp-0.1.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/atomicapp-0.1.1-1.el7

Comment 14 Tuomo Soini 2015-07-26 09:28:53 UTC
package: atomicapp-0.1.1-1.el7.noarch from epel7-testing
  unresolved deps: 
     python-anymarkup

You should really make sure dependencies are on epel7 before pushing packages there.

Comment 15 Jan Chaloupka 2015-07-26 12:24:06 UTC
You are right, Tuomo. Thank you for noticing.

https://admin.fedoraproject.org/updates/python-anymarkup-0.4.3-1.el7

Comment 16 Fedora Update System 2015-09-23 13:36:35 UTC
atomicapp-0.1.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8206

Comment 17 Fedora Update System 2015-09-25 00:21:01 UTC
atomicapp-0.1.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update atomicapp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8206

Comment 18 Fedora Update System 2015-11-02 19:17:10 UTC
atomicapp-0.1.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c73b6bdc36

Comment 19 Fedora Update System 2015-11-05 17:19:58 UTC
atomicapp-0.1.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update atomicapp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c73b6bdc36

Comment 20 Fedora Update System 2016-01-05 14:51:29 UTC
atomicapp-0.3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-525537a725

Comment 21 Fedora Update System 2016-01-05 23:26:10 UTC
atomicapp-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-525537a725

Comment 22 Fedora Update System 2016-04-05 15:58:14 UTC
atomicapp-0.4.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5d93f1948c

Comment 23 Fedora Update System 2016-04-06 21:20:04 UTC
atomicapp-0.4.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5d93f1948c

Comment 24 Fedora Update System 2016-05-04 22:37:42 UTC
atomicapp-0.4.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Parag AN(पराग) 2016-12-15 06:40:06 UTC
Not sure why this review is still on ON_QA state.


Note You need to log in before you can comment on or make changes to this bug.